summaryrefslogtreecommitdiffstats
path: root/source/a/sysklogd/sysklogd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/sysklogd/sysklogd.SlackBuild')
-rwxr-xr-xsource/a/sysklogd/sysklogd.SlackBuild25
1 files changed, 16 insertions, 9 deletions
diff --git a/source/a/sysklogd/sysklogd.SlackBuild b/source/a/sysklogd/sysklogd.SlackBuild
index b4b83f869..2fb38ac07 100755
--- a/source/a/sysklogd/sysklogd.SlackBuild
+++ b/source/a/sysklogd/sysklogd.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=sysklogd
VERSION=1.5.1
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -32,9 +34,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-sysklogd
@@ -57,6 +66,9 @@ zcat $CWD/use_memmove_not_strcpy.diff.gz | patch -p1 --verbose || exit 1
# Allow -c option to log all (even repeated) messages:
zcat $CWD/sysklogd.allow.repeated.messages.diff.gz | patch -p1 --verbose || exit 1
+# union wait removed in glibc, use int instead:
+zcat $CWD/sysklogd.union.wait.int.diff.gz | patch -p1 --verbose || exit 1
+
make all syslog_tst $NUMJOBS || make || exit 1
mkdir -p $PKG/usr/sbin
@@ -103,8 +115,3 @@ zcat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/sysklogd-$VERSION-$ARCH-$BUILD.txz
-# Clean up the extra stuff:
-if [ "$1" = "--cleanup" ]; then
- rm -rf $TMP/sysklogd-$VERSION
- rm -rf $PKG
-fi